--------------------------<  About PLOT SETUP   >------------------------------


PLOT SETUP is used to set up the graphic parameters needed for plotting.  It 
includes many options described below.  Each option has a default value defined
for the quick plotting purpose.  To customize the plots requires the selections
of the new settings.  These settings can be modified at any time while running 
the tool.  They can also be saved into a SaveSet file and then retrieved at any 
later time.  It is not necessary to first start with "PLOT SETUP" in the 
following two cases: (1) If a quick plot type is chosen, the users can start 
with "SELECT DATA".  (2) If a SaveSet file is chosen to be retrieved, the users 
can start with "RESTORE SaveSet" and then "SELECT DATA". 
   
   
    
Option: "Type of Plots"
------

This option is to select the plot type.  There are two plot types, time series
plot and ordinary x-y plot, available in this version.  The default plot type 
is time series plot.

To use:  Click either button to set the plot type. 


Option: "Number of Panels" 
------

This option is to select the number of panels to be plotted vertically on a 
plot page.  The maximum number is six panels on a page.  The default value is 
one panel per page.

To use:  Click any button to set the number of panels to be plotted.

       
Option: "Select Number of Key Parameters per Panel" 
------

This option is used to select the number of key parameters or variables for
each panel to be plotted on y-axis.  The maximum number of y variables for each
panel is two.  The default value is one y-variable per panel.  In the same 
panel, the y variables have to be plotted against the same x variable.  If two
y variables are chosen, the first one is plotted based on the left y-axis scale
and the other is plotted based on the right y-axis scale.  If the time series 
plot type is chosen, the x-axis variable is "Time" in the unit of "hours".  If 
the "variable -variable" plot is chosen, the x variable can be any variable from
the same CDF files.

To use:  Clicking this button brings up a new interface for the selections.
         Click " OK " after the selections are completed.


Option: "Select Graphics Settings for each Panel"  
------

It is used to select the graphics settings for each panel including the plot 
style, the axis scaling, and the major and minor tick intervals for both x and 
y axes.  The default value for the plot style is the symbol "period" for the 
first set of x and y variables and the symbol "triangle" for the second set of 
x and y variables.  The default value for the number of major tick marks is 4 
and for the number of minor tick marks is 6.  The default value for the axis
scaling is linear scaling on both x and y axes.  

To use:   When this button is clicked, an interface appears for selecting the
          panels needed to be customized.  Clicking the button of the chosen
          panel brings up another interface for customizing the graphics 
          settings.  Click on any settings in this interface needed to be
          modified and click "OK" after all the changes are made.



Option: "Overall FONT size" 
------

The "Overall FONT size" is the font size used for the labels and annotations on
the plot.  The default value is automatically defined based on the number of 
panels chosen. 
   
To use:   Typing in a new font size changes the default font size to a new one.


Option: "Number of CDF"  
------

There are three choices available in this option: 
    (1)"Single CDF for each panel and plot page" 
       --- Only one CDF file can be selected for the plotting,
    
    (2)"Single CDF for each panel and multi-CDF's for plot page"
       --- Each panel can have different CDF file.  But, in the same panel, only
           one CDF file is allowed.
and 
    (3)"Multi-CDF's for each panel and plot page"
       --- Each panel can have the different CDF file.  And, the variables in
           the same panel can be chosen from the different CDF files.

The default is (1).  

  
To use:  Click on one of these choices. 
          
         Note:   This selection is basically for the KPVT's internal processing
                 purpose.



Option: "X and Y axis Scales" 
------

This option is used to define the x and y axis scales.  There are two choices
available.  One is to use the default scales embedded in the CDF metadata.  The
other is to use the values defined by the users.   

To use: 

     Case 1:  If the "default values from the CDF metadata" is chosen, the x 
              and y axis scales are the SCALEMIN and SCALEMAX values of each key
              parameter read from the CDF files. 
   
     Case 2:  If the "user defined scales" are chosen, the button of 
              "Define/Change the Value" becomes sensitive.  Clicking it brings
              up a new interface to define the desired scales.  The default
              values are 1.0 for the minimum values and 100000.0 for the 
              maximum values.  Click "OK" after the new values are entered.


Option: "Save All Settings to a SaveSet File"
------

All the plot settings in this interface can be saved into an IDL  SaveSet file.
The saved settings can be retrieved at any later time.  This feature is useful
for the routine plotting. 

To use: Clicking this button brings up a new interface.  To save the plot
        settings into a file requires to enter a file name in the text dialog
        box.  The path/directory can be included in the filename name.  However,
        the space between the characters is not allowed.  The file name has to
        be a valid file specification on that platform.  On PC, the file name 
        always needs to include the driver, such as C:\.  Click "Save" after
        a file name is given.


Option: " OK "
------

To implement the selections and go back to the previous interface.

To use:  When this button is clicked, the selections will be implemented.  The
         interface PLOTSETUP will be closed and the system control will be back
         to the previous interface.


Option: " Cancel " 
------

To cancel the selections and go back to the previous interface.

To use:  When this button is clicked, the interface PLOT SETUP will be closed 
         and the system control will be back to previous interface.


Option: "Help" 
------

To display a help file.

To use: When this button is clicked, a new interface appears and displays the 
        help information about this interface.








